@my-swu/simulator-client / FormatEventRequest
Interface: FormatEventRequest
Defined in: packages/ts-sdk/src/generated/types/common.ts:1656
HTTP request body for applying a format-event command.
Example:
ts
import type { FormatEventRequest } from '@my-swu/simulator-client'
const formatEventRequest: FormatEventRequest = {
seatToken: 'seat_token_123',
command: { type: 'readyNextGame' },
}
console.log(formatEventRequest)Properties
command
Example:
ts
import type { FormatEventRequest } from '@my-swu/simulator-client'
const formatEventRequest: FormatEventRequest = {
seatToken: 'seat_token_123',
command: { type: 'readyNextGame' },
}
const { command: formatEventCommand } = formatEventRequest
console.log(formatEventCommand)command:
FormatEventCommand
Defined in: packages/ts-sdk/src/generated/types/common.ts:1660
Out-of-game format command to apply.
seatToken
Example:
ts
import type { FormatEventRequest } from '@my-swu/simulator-client'
const formatEventRequest: FormatEventRequest = {
seatToken: 'seat_token_123',
command: { type: 'readyNextGame' },
}
const { seatToken } = formatEventRequest
console.log(seatToken)seatToken:
string
Defined in: packages/ts-sdk/src/generated/types/common.ts:1664
Seat token returned by match creation or join.
